commit 2d8c8fec1ed103caafb9925658788e308420cbcf
Author: Brian May <brian@linuxpenguins.xyz>
Date:   Tue Feb 4 08:04:01 2020 +1100

    Add systemd service files.
    
    Closes: #738548.

diff --git a/debian/amavisd-new.amavis-mc.service b/debian/amavisd-new.amavis-mc.service
new file mode 100644
index 0000000..91da47c
--- /dev/null
+++ b/debian/amavisd-new.amavis-mc.service
@@ -0,0 +1,19 @@
+[Unit]
+Description=Amavisd Master Supervisor
+Documentation=http://www.ijs.si/software/amavisd/#doc
+After=network.target
+
+[Service]
+User=amavis
+Group=amavis
+ExecStart=/usr/sbin/amavis-mc -f
+ExecStartPre=-/usr/bin/find /var/lib/amavis -maxdepth 1 -name 'amavis-*' -type d -exec rm -rf "{}" \;
+ExecStartPre=-/usr/bin/find /var/lib/amavis/tmp -maxdepth 1 -name 'amavis-*' -type d -exec rm -rf "{}" \;
+Restart=on-failure
+PrivateTmp=true
+CapabilityBoundingSet=
+ProtectSystem=full
+ProtectHome=true
+
+[Install]
+WantedBy=multi-user.target
diff --git a/debian/amavisd-new.amavis.service b/debian/amavisd-new.amavis.service
new file mode 100644
index 0000000..8ec7ef3
--- /dev/null
+++ b/debian/amavisd-new.amavis.service
@@ -0,0 +1,20 @@
+[Unit]
+Description=Interface between MTA and virus scanner/content filters
+Documentation=http://www.ijs.si/software/amavisd/#doc
+After=network.target
+
+[Service]
+User=amavis
+Group=amavis
+ExecStart=/usr/sbin/amavisd-new foreground
+ExecReload=/usr/sbin/amavisd-new reload
+ExecStartPre=-/usr/bin/find /var/lib/amavis -maxdepth 1 -name 'amavis-*' -type d -exec rm -rf "{}" \;
+ExecStartPre=-/usr/bin/find /var/lib/amavis/tmp -maxdepth 1 -name 'amavis-*' -type d -exec rm -rf "{}" \;
+Restart=on-failure
+PrivateTmp=true
+CapabilityBoundingSet=
+ProtectSystem=full
+ProtectHome=true
+
+[Install]
+WantedBy=multi-user.target
diff --git a/debian/amavisd-new.amavisd-snmp-subagent.service b/debian/amavisd-new.amavisd-snmp-subagent.service
new file mode 100644
index 0000000..6c32537
--- /dev/null
+++ b/debian/amavisd-new.amavisd-snmp-subagent.service
@@ -0,0 +1,17 @@
+[Unit]
+Description=Exports amavis SNMP data
+Documentation=http://www.ijs.si/software/amavisd/#doc
+After=network.target amavis.service
+
+[Service]
+User=amavis
+Group=amavis
+ExecStart=/usr/sbin/amavisd-snmp-subagent -f
+Restart=on-failure
+PrivateTmp=true
+CapabilityBoundingSet=
+ProtectSystem=full
+ProtectHome=true
+
+[Install]
+WantedBy=multi-user.target
diff --git a/debian/changelog b/debian/changelog
index ec28175..2ec262f 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+amavisd-new (1:2.11.0-7) unstable; urgency=medium
+
+  * Add systemd service file. Closes: #738548.
+
+ -- Brian May <bam@debian.org>  Tue, 04 Feb 2020 07:58:33 +1100
+
 amavisd-new (1:2.11.0-6.1) unstable; urgency=medium
 
   * Non-maintainer upload.
diff --git a/debian/rules b/debian/rules
index 1919a8d..9ad9568 100755
--- a/debian/rules
+++ b/debian/rules
@@ -7,9 +7,13 @@
 	dh  $@
 
 override_dh_installinit:
+	dh_systemd_enable -pamavisd-new --name amavis
+	dh_systemd_enable -pamavisd-new --name amavis-mc --no-enable
+	dh_systemd_enable -pamavisd-new --name amavisd-snmp-subagent --no-enable
 	dh_installinit --name=amavis
 	dh_installinit --name=amavisd-snmp-subagent --no-enable
 	dh_installinit --name=amavis-mc --no-enable
+	dh_systemd_start -pamavisd-new --name amavis
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k RELEASE_NOTES
